## ros-noetic-mia-hand-driver 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(mia_hand_driver)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS roscpp mia_hand_msgs std_srvs)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBSERIAL REQUIRED IMPORTED_TARGET libserial>=1.0.0)


###################################
## catkin specific configuration ##
###################################

catkin_package(
	CATKIN_DEPENDS roscpp mia_hand_msgs std_srvs
  DEPENDS LIBSERIAL
	INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)


###########
## Build ##
###########

include_directories(include ${LIBSERIAL_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
	src/serial_port.cpp
	src/cpp_driver.cpp
  src/ros_driver.cpp
)

target_link_libraries(${PROJECT_NAME}
  Threads::Threads
  PkgConfig::LIBSERIAL
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_node src/mia_hand_driver_node.cpp)

target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME})


#############
## Install ##
#############

## Useful links:
#
# https://docs.ros.org/en/noetic/api/catkin/html/howto/format2/building_executables.html
# https://docs.ros.org/en/noetic/api/catkin/html/howto/format2/building_libraries.html

# Mark executables for installation
#
install(
  TARGETS ${PROJECT_NAME}_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark libraries for installation
#
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Mark cpp header files for installation
#
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )


#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_april.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-noetic-mia-hand-driver (1.0.2-1buster) buster; urgency=high

  * Added Threads package finding in CMake.
  * Contributors: Andrea Burani

 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-driver (1.0.1-1buster) buster; urgency=high

  * Forced CMake to find at least version 1.0.0 of libserial.
  * Contributors: Andrea Burani

 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-driver (1.0.0-1buster) buster; urgency=high

  * Changed #include directive for libserial.
  * 1.0.0
  * Updated CHANGELOG files.
  * Limited max motor PWM in speed command.
  * Created libserial IMPORTED_TARGET.
  * Updated CHANGELOG files.
  * Added srv dependency to mia_hand_driver and joint_state_interface to mmia_hand_description. Added wiki url links.
  * Added license text at the beginning of each file.
  * 1.0.0
  * Added ChangeLog files of each pkg.
  * Initial commit.
  * Fix package xml files.
  * Initial commit.
  * Contributors: Andrea Burani, frcini

 -- Andrea Burani <andreabu@prensilia.com>  Mon, 24 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mia-hand-driver
Section: misc
Priority: optional
Maintainer: Andrea Burani <andreabu@prensilia.com>
Build-Depends: debhelper (>= 9.0.0), libserial-dev, ros-noetic-catkin, ros-noetic-mia-hand-msgs, ros-noetic-roscpp, ros-noetic-std-srvs
Homepage: https://wiki.ros.org/mia_hand_ros_pkgs
Standards-Version: 3.9.2

Package: ros-noetic-mia-hand-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libserial-dev, ros-noetic-mia-hand-msgs, ros-noetic-roscpp, ros-noetic-std-srvs
Description: Package containing code for driving Mia Hand.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mia-hand-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
